# Uses of Interface
javax.script.ScriptEngineFactory

Packages that use ScriptEngineFactory
Package
Description
javax.script
The scripting API consists of interfaces and classes that define Java Scripting Engines and provides a framework for their use in Java applications.

## Uses of ScriptEngineFactory in javax.script

Methods in javax.script that return ScriptEngineFactory
Modifier and Type
Method
Description
`ScriptEngineFactory`
ScriptEngine.`getFactory()`
Returns a `ScriptEngineFactory` for the class to which this `ScriptEngine` belongs.
Methods in javax.script that return types with arguments of type ScriptEngineFactory
Modifier and Type
Method
Description
`List<ScriptEngineFactory>`
ScriptEngineManager.`getEngineFactories()`
Returns a list whose elements are instances of all the `ScriptEngineFactory` classes found by the discovery mechanism.
Methods in javax.script with parameters of type ScriptEngineFactory
Modifier and Type
Method
Description
`void`
ScriptEngineManager.`registerEngineExtension(String extension, ScriptEngineFactory factory)`
Registers a `ScriptEngineFactory` to handle an extension.
`void`
ScriptEngineManager.`registerEngineMimeType(String type, ScriptEngineFactory factory)`
Registers a `ScriptEngineFactory` to handle a mime type.
`void`
ScriptEngineManager.`registerEngineName(String name, ScriptEngineFactory factory)`
Registers a `ScriptEngineFactory` to handle a language name.